using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Shared.DTOs
{
    public class OrderDto
    {
        [Display(Name = "شناسه")]
        public int ID { get; set; }

        public StatusOrder Status { get; set; }
        [Display(Name = "وضعیت")]
        public string StatusTitle { get { return Status.GetEnumDisplayName(); } }
        [Display(Name = "زمان ایجاد")]
        public string DateCreate { get; set; }
        [Display(Name = "زمان پرداخت")]
        public string ApprovalDate { get; set; }
        [Display(Name = "مبلغ سفارش")]
        public decimal PreDiscount { get; set; }
        [Display(Name = "تخفیف سفارش")]
        public decimal TDiscount { get; set; }
        [Display(Name = "بغد از تخفیف")]
        public decimal lstDiscount { get; set; }
        [Display(Name = "مالیات")]
        public decimal TTax { get; set; }
        [Display(Name = "مبلغ نهایی")]
        public decimal TPrice { get; set; }
    }
}
